---
author: SchrodingersGat
title: 2022 in Review
---

2022 was a huge year for the InvenTree project.

### Release Milestones

This was a very active year for the project, especially in terms of core software development. A huge array of new features have been implemented, and significant performance improvements have been made across the board.

We extend our sincere thanks to the many contributors who have helped make this a reality!

#### 0.6.0

At the start of the year, we released [version 0.6.0](https://github.com/inventree/InvenTree/releases/tag/0.6.0) of InvenTree. This release provided a slew of significant new features

#### 0.7.0

In May, [version 0.7.0](https://github.com/inventree/InvenTree/releases/tag/0.7.0) was released, bringing major improvements to the plugin system, among other new features and fixes.

#### 0.8.0

In August the InvenTree team released [version 0.8.0](https://github.com/inventree/InvenTree/releases/tag/0.8.0). 

#### 0.9.0

In December, we released [0.9.0](https://github.com/inventree/InvenTree/releases/tag/0.9.0) with 248 merged pull requests from multiple contributors. This release represented a huge number of new features and improvements!

### New Website

Our new website (inventree.org) is now up and running! Thanks to @matmair in particular for bringing this to life.

### Translations

[Translations]({% link contribute.md %}#translate) for the InvenTree project continue to grow, thanks to our vibrant community of users. Thanks to the [crowdin project](https://crowdin.com) which makes this possible.

### Users

And finally, thanks to our users! In 2022 we went from 500 stars on GitHub, to over 2,000! While not necessarily the most accurate metric for tracking how many people are actually *using* InvenTree, this is very exciting for us.

The GitHub stargazers data gives us a picture of where InvenTree is being used - we've gone global!

![Star Map](/assets/blog/world-map.png)

*Location data were obtained from GitHub stars metadata - InvenTree software does not track user location!*

### Upcoming in 2023

What are we working on in 2023?

There is a *lot* on the horizon - and with [over 120 outstanding issues](https://github.com/inventree/InvenTree/issues) we need to be selective in what we tackle first.

#### UI Refactor

One of the larger projects is a complete front-end overhaul - [issue 3901](https://github.com/inventree/InvenTree/issues/3901). We are migrating away from the current clutter of templated HTML and JS files, which are pre-rendered by the server, and moving to an API-oriented React UI.

This change will have some immediate major benefits:

- Improved page load speed and general usability
- Significant reduction in duplicated code
- Data are loaded on demand via the API
- Ability to change front-end elements without touching back-end code
- Unit testing for front-end code

This will be a pretty significant undertaking, some of the old front-end code has been with us right from the beginning of the project! Please be patient.

Over the coming months we will be shipping the React front-end in parallel with the existing UI code, to allow side-by-side testing while we squash bugs.

#### Data Import Overhaul

The current workflows for importing data into an InvenTree database are pretty messy. There are three separate methods of ingesting bulk records, none of which we are really happy with.

A complete overhaul of the data import framework is necessary. We will be developing a stack which allows generic, robust, repeatable data importing for various tables.

You can [follow the progress here](https://github.com/inventree/InvenTree/issues/3101).

#### Plugins

The InvenTree plugin infrastructure is now very mature, with many custom plugins developed for (and by) our users. 

#### Documentation

As always, the documentation lags the product. While we do try to keep our documentation as fresh as possible, we are always on the lookout for users who can contribute to the project by helping us with documentation!

Check out the [documentation project](https://github.com/inventree/inventree-docs) if you are able to contribute.

### Sponsorship

The InvenTree project has grown substantially over the last year. While we now have an active user community, we still only have a very small core development team, trying to keep on top of all the great ideas you have.

If you have found InvenTree to be a useful piece of software, especially if you are using it for your business, please consider [sponsoring the project](https://github.com/sponsors/inventree/). Sponsorship allows the developers to provide more of their (quite precious) time to the project, which benefits everyone.

You can provide a one-off or monthly sponsorship, or sponsor a specific feature or plugin!
